[rspec-users] textmate bundle

Brian Takita brian.takita at gmail.com
Wed Nov 28 11:56:25 EST 2007


On Nov 28, 2007 7:43 AM, Zach Dennis <zach.dennis at gmail.com> wrote:
> Does anyone else have issues running rspec textmate bundle? I've got
> revision 2997, but the blasted thing just won't run.
>
> It is checked out to my /Users/zdennis/Library/Application
> Support/TextMate/Bundles/RSpec.tmbundle
>
> When it runs I get the below error...
>
>  "textmate" is not a valid class name
> /Users/zdennis/source/ao_projects/circlebuilder/vendor/plugins/rspec/lib/spec/runner/options.rb:173:in
> `load_class': "textmate" is not a valid class name (RuntimeError) from
> /Users/zdennis/source/ao_projects/circlebuilder/vendor/plugins/rspec/lib/spec/runner/options.rb:137:in
> `parse_format' from
> /Users/zdennis/source/ao_projects/circlebuilder/vendor/plugins/rspec/lib/spec/runner/option_parser.rb:93:in
> `initialize' from
> /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/optparse.rb:1260:in
> `call' from
> /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/optparse.rb:1260:in
> `parse_in_order' from
> /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/optparse.rb:1247:in
> `catch' from
> /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/optparse.rb:1247:in
> `parse_in_order' from
> /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/optparse.rb:1241:in
> `order!' from
> /Users/zdennis/source/ao_projects/circlebuilder/vendor/plugins/rspec/lib/spec/runner/option_parser.rb:118:in
> `order!' from
> /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/optparse.rb:1332:in
> `permute!' from
> /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/optparse.rb:1353:in
> `parse!' from
> /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/optparse.rb:1343:in
> `parse' from
> /Users/zdennis/source/ao_projects/circlebuilder/vendor/plugins/rspec/lib/spec/runner/option_parser.rb:10:in
> `parse' from /Users/zdennis/Library/Application
> Support/TextMate/Bundles/RSpec.tmbundle/Support/lib/spec/../spec/mate/runner.rb:34:in
> `run' from /Users/zdennis/Library/Application
> Support/TextMate/Bundles/RSpec.tmbundle/Support/lib/spec/../spec/mate/runner.rb:33:in
> `chdir' from /Users/zdennis/Library/Application
> Support/TextMate/Bundles/RSpec.tmbundle/Support/lib/spec/../spec/mate/runner.rb:33:in
> `run' from /Users/zdennis/Library/Application
> Support/TextMate/Bundles/RSpec.tmbundle/Support/lib/spec/../spec/mate/runner.rb:12:in
> `run_file' from /tmp/temp_textmate.AZtCnz:4
Hello Zach. Are you running Rspec 1.0.8 with the Trunk version of the
Textmate Bundle?
>
>
> --
> Zach Dennis
> http://www.continuousthinking.com
> _______________________________________________
> rspec-users mailing list
> rspec-users at rubyforge.org
> http://rubyforge.org/mailman/listinfo/rspec-users
>


More information about the rspec-users mailing list